Subject: Re: Building DLLs to be loaded from Visual Basic
From: "Mader, Alexander" <[email-masked]>
To: Massimiliano Mirra <[email-masked]>
Cc: [email-masked]
Date: Mon, 31 Mar 2003 11:08:58 +0200

Hallo,

Massimiliano Mirra schrieb:
> My questions:
> 
> - is anybody today successfully building DLLs with cygwin (not
>   mingw32) and loading them from Visual Basic (or other languages)?

I have to provide DLLs for VB and do so by using Cygwin but with 
-mnocygwin, which is more or less using mingw32. Anyway, I proceed this 
way in order to limit the library dependencies to native MS ones.

> - is documentation about the process available?

I have no idea. But I know about some problems regading VB in connection 
with C _not_ with Cygwin. So, compiling with gcc-2 it is usefull to use 
-fnative-struct (no more available/nessesary in gcc). Because of the VB-
Structure-Conventions it could be nessesary to use -fpack-struct 
together with dummy elements in the structure in question. The solution 
to problems like this I found in the MS database.

Hope this helps,

Alexander.
-- 
Alexander Mader <[email-masked]>	Fon: +49-30-93033-636
NILES Werkzeugmaschinen GmbH			Fax: +49-30-93033-603
				www.niles.de

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/